commit 9fbbe664420fa49e8611bfede300a90dd293229e
Author: freddy77 <freddy77>
Date:   Thu Jan 10 13:13:46 2008 +0000

    fix SQLGetData problem

diff --git b/ChangeLog a/ChangeLog
index d054e6f..ecb6523 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,8 +1,3 @@
-Thu Jan 10 14:12:32 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/odbc.c src/odbc/unittests/.cvsignore:
-	* src/odbc/unittests/Makefile.am src/odbc/unittests/blob1.c(added):
-	- fix problem with SQLGetData and blobs
-
 Thu Jan 10 09:51:23 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* TODO src/odbc/odbc.c src/odbc/unittests/.cvsignore:
 	* src/odbc/unittests/Makefile.am:
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 60c8e00..7d33b27 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.2 2008/01/10 13:13:46 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.1 2008/01/10 08:52:45 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -4583,12 +4583,12 @@ SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgb
 		if (*pcbValue < 0)
 			ODBC_RETURN(stmt, SQL_ERROR);
 
-		if (is_variable_type(colinfo->column_type) && (fCType == SQL_C_CHAR || fCType == SQL_C_BINARY)) {
+		if (is_variable_type(colinfo->column_type)) {
 			/* calc how many bytes was readed */
 			int readed = cbValueMax;
 
 			/* FIXME test on destination char ??? */
-			if (stmt->dbc->env->attr.output_nts != SQL_FALSE && fCType == SQL_C_CHAR /* is_char_type(nSybType) */ && readed > 0)
+			if (stmt->dbc->env->attr.output_nts != SQL_FALSE && is_char_type(nSybType) && readed > 0)
 				--readed;
 			if (readed > *pcbValue)
 				readed = *pcbValue;
diff --git b/src/odbc/unittests/.cvsignore a/src/odbc/unittests/.cvsignore
index d7c663e..1316adb 100644
--- b/src/odbc/unittests/.cvsignore
+++ a/src/odbc/unittests/.cvsignore
@@ -63,4 +63,3 @@ cursor4
 cursor5
 attributes
 hidden
-blob1
